# Command: LocateFileNames

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    LocateFileNames - Look up complete pathnames of given file in given search path.

Synopsis:

    stringarray string LocateFileNames -> stringarray

Examples:

      SLISearchPath (sli-init.sli) LocateFileNames
      --> [(SLIHOME/lib/sli/sli-init.sli)]

Description:

      Tries to locate a file specified in string using the search path of
      the stringarray. Returns an array of complete filenames including
      pathname.

Parameters:

      stringarray : a search path
      string	 : filename
      stringarray : Returned matches

Author:

    Hehl

FirstVersion:

    April 16, 1999

      SeeAlso:  searchfile, searchifstream

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/sli-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative